qgis-bin.exe runs forever (or very long) adding vector file

2015-01-12 09:03 PM - Gili Tzabari

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 20187

Description

I've got an 8MB uncompressed E00 vector file. When I attempt to add it into the project, qgis-bin.exe runs for a very long time (5 minutes

and counting) using only a single CPU core. I know there is a configuration option for using multicore for rendering vectors and I have

enabled this, but it doesn't seem to help with whatever is blocking the load operation.

I have a 2MB uncompressed E00 vector file, and this one loads fairly quickly (5 seconds) so I think something odd is going on with the

8MB file. I would expect it to take at most 4x longer to load (say 20 seconds).

History

#1 - 2015-01-13 08:16 PM - Gili Tzabari

Having read http://marc.info/?l=gdal-dev&#38;m=121323053222337 I used avcimport to convert the file format and tried again. The converted file opened

within 10 seconds.

Suggested behavior: If a user tries opening a large E00 file, warn that performance will be extremely poor and suggest conversion using avcimport ahead

of time.

Better yet, convert using avcimport seamlessly under the hood.

#2 - 2015-01-13 08:16 PM - Gili Tzabari

[please ignore, duplicate comment]

#3 - 2015-01-18 04:07 AM - Giovanni Manghi

- Resolution set to up/downstream

- Status changed from Open to Closed

so it is the gdal/ogr driver that is slow handling such files, not qgis. About the warning: it could be a good idea, file a feature request for that. Cheers!

#4 - 2015-01-18 02:19 PM - Gili Tzabari

Done. See http://trac.osgeo.org/gdal/ticket/5815

Files
m733polylot.zip 2.08 MB 2015-01-12 Gili Tzabari
